# TdApi.DeleteAccount (TDLight API 4.0.476 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: DeleteAccount

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.DeleteAccount

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.DeleteAccount

Enclosing class:
  TdApi

public static final class TdApi.DeleteAccount extends TdApi.Function<TdApi.Ok>
Deletes the account of the current user, deleting all information associated with the user from the server. The phone number of the account can be used to create a new account. Can be called before authorization when the current authorization state is authorizationStateWaitPassword.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`password`
The 2-step verification password of the current user.
`String`
`reason`
The reason why the account was deleted; optional.

## Constructor Summary

Constructors
Constructor
Description
`DeleteAccount()`
Deletes the account of the current user, deleting all information associated with the user from the server.
`DeleteAccount(DataInput input)`
Deletes the account of the current user, deleting all information associated with the user from the server.
`DeleteAccount(String reason, String password)`
Deletes the account of the current user, deleting all information associated with the user from the server.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### reason

public String reason
The reason why the account was deleted; optional.

### password

public String password
The 2-step verification password of the current user. If not specified, account deletion can be canceled within one week.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### DeleteAccount

public DeleteAccount()
Deletes the account of the current user, deleting all information associated with the user from the server. The phone number of the account can be used to create a new account. Can be called before authorization when the current authorization state is authorizationStateWaitPassword.

Returns `Ok`

### DeleteAccount

public DeleteAccount(String reason, String password)
Deletes the account of the current user, deleting all information associated with the user from the server. The phone number of the account can be used to create a new account. Can be called before authorization when the current authorization state is authorizationStateWaitPassword.

Returns `Ok`

Parameters:
  `reason` - The reason why the account was deleted; optional.
  `password` - The 2-step verification password of the current user. If not specified, account deletion can be canceled within one week.

  Returns `Ok`

### DeleteAccount

public DeleteAccount(DataInput input) throws IOException
Deletes the account of the current user, deleting all information associated with the user from the server. The phone number of the account can be used to create a new account. Can be called before authorization when the current authorization state is authorizationStateWaitPassword.

Returns `Ok`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`